# -*- coding: utf-8; -*-
"""
Pyramid event subscribers
"""

import sideshow


def add_sideshow_to_context(event):
    renderer_globals = event
    renderer_globals['sideshow'] = sideshow


def includeme(config):
    config.include('wuttaweb.subscribers')
    config.add_subscriber(add_sideshow_to_context, 'pyramid.events.BeforeRender')
